> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Company Authorization Documents

> View documents that require authorization in order to onboard a company: Tax Information Terms, Reporting Agent Terms, Direct Deposit, and Terms and Conditions Forms.



## OpenAPI

````yaml openapi/zeal-api.json get /companies/authorization_documents
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /companies/authorization_documents:
    get:
      summary: Get Company Authorization Documents
      description: Fetch and view Company Authorization Documents.
      operationId: get-company-authorization-documents
      parameters:
        - name: companyID
          in: query
          description: companyID of the company
          required: true
          schema:
            type: string
        - name: document_key
          in: query
          description: >-
            type of the Authorization Document. Accepts 8655, 2848, or all for
            all document types.
          required: true
          schema:
            type: string
            enum:
              - '8655'
              - '2848'
              - all
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      - companyID: 1b5n28nrideucd24
                        type: '8655'
                        description: 2023 Wage and Tax Statement (Form W2)
                        link: >-
                          https://example-documents.s3.amazonaws.com/1b5n28nrideucd24-201-345890-document
                      - companyID: 1b5n28nrideucd24
                        type: '2848'
                        description: 2023 Corrected Wage and Tax Statement (Form W2C)
                        link: >-
                          https://example-documents.s3.amazonaws.com/1b5n28nrideucd24-2019-W2C-1234567890-document
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        companyID:
                          type: string
                          example: 1b5n28nrideucd24
                        type:
                          type: string
                          example: '8655'
                        description:
                          type: string
                          example: 2023 Wage and Tax Statement (Form W2)
                        link:
                          type: string
                          example: >-
                            https://example-documents.s3.amazonaws.com/1b5n28nrideucd24-201-345890-document
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Bad Request:
                  value:
                    success: false
                    errors:
                      - message: No user with this company ID exists
                        code: 4
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: No user with this company ID exists
                        code:
                          type: integer
                          example: 4
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````